Version française
Home     About     Download     Resources     Contact us    
Browse thread
problems with installing camlp5-5.12
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: pis@d...
Subject: problems with installing camlp5-5.12
Dear ocaml users,

I am just trying to install camlp5-5.12 to run a code written in ocaml. I have
succesfully installed ocaml-3.11.1 but when I try to install camlp5-5.12 by
executing the make command I receive the following error messages (just copied
the last couple of rows:

cp ast2pt.mli ast2pt.ppi
ocamlc.opt -warn-error A -I ../odyl -I ../../boot -I
../../ocaml_stuff/3.11.1/utils -I ../../ocaml_stuff/3.11.1/parsing -c -intf
ast2pt.ppi
../../ocaml_stuff/3.11.1/parsing/parsetree.cmi is not a compiled interface
make[2]: *** [ast2pt.cmi] Error 2
make[2]: Leaving directory `/home/pis/ocaml/camlp5-5.12/ocaml_src/main'
make[1]: *** [compile_cold] Error 2
make[1]: Leaving directory `/home/pis/ocaml/camlp5-5.12'
make: *** [boot/camlp5] Error 2

The installation stops here and I do not know how to fix this. I am trying to
install it under linux (Linux version 2.6.26.8-57.fc8
(mockbuild@x86-3.fedora.phx.redhat.com) (gcc version 4.1.2 20070925 (Red Hat
4.1.2-33)))


Thank you very much for your help in advance
Peter